summaryrefslogtreecommitdiff
path: root/net-voip/ekiga
diff options
context:
space:
mode:
authorsss <sss@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-05-02 00:53:11 +0000
committersss <sss@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-05-02 00:53:11 +0000
commit0d8d9b1b85eb546518489d2b453d5403a5b5878b (patch)
treea2623776ee252afa87bd7aae282983169b1cd978 /net-voip/ekiga
parent87636d4ace07bd334aeec11cfb737e3eecae772b (diff)
git-svn-id: http://172.18.13.13/svn/sss_overlay@14 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-voip/ekiga')
-rw-r--r--net-voip/ekiga/ekiga-3.0.1.ebuild95
-rw-r--r--net-voip/ekiga/ekiga-3.0.2.ebuild95
-rw-r--r--net-voip/ekiga/ekiga-9999.ebuild111
3 files changed, 301 insertions, 0 deletions
diff --git a/net-voip/ekiga/ekiga-3.0.1.ebuild b/net-voip/ekiga/ekiga-3.0.1.ebuild
new file mode 100644
index 0000000..2f062bf
--- /dev/null
+++ b/net-voip/ekiga/ekiga-3.0.1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils gnome2
+
+DESCRIPTION="H.323 and SIP VoIP softphone"
+HOMEPAGE="http://www.ekiga.org/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="avahi dbus debug doc eds gconf gnome ldap libnotify xv"
+
+RDEPEND=">=dev-libs/ptlib-2.4.2
+ >=net-libs/opal-3.4.2
+ >=x11-libs/gtk+-2.12.0:2
+ >=dev-libs/glib-2.8.0:2
+ dev-libs/libsigc++:2
+ dev-libs/libxml2:2
+ avahi? ( >=net-dns/avahi-0.6.0 )
+ dbus? ( >=dev-libs/dbus-glib-0.36 )
+ eds? ( >=gnome-extra/evolution-data-server-1.2 )
+ gconf? ( >=gnome-base/gconf-2.6.0:2 )
+ gnome? ( >=gnome-base/libgnome-2.14.0
+ >=gnome-base/libgnomeui-2.14.0 )
+ ldap? ( net-nds/openldap )
+ libnotify? ( x11-libs/libnotify )
+ xv? ( x11-libs/libXv )"
+
+DEPEND="${RDEPEND}
+ >=sys-devel/make-3.81
+ >=dev-util/pkgconfig-0.12.0
+ >=dev-util/intltool-0.35
+ doc? ( app-text/scrollkeeper
+ app-text/gnome-doc-utils )"
+
+DOCS="AUTHORS ChangeLog FAQ NEWS README"
+
+pkg_setup() {
+ # ekiga has to be built like opal and ptlib but as opal has to be built
+ # like ptlib, it should be possible to check only opal but as ekiga is
+ # linking to both, we are cheking both
+ if use debug && (! built_with_use dev-libs/ptlib debug ||
+ ! built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal with\
+ USE=debug enabled."
+ die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
+ fi
+
+ if ! use debug && (built_with_use dev-libs/ptlib debug ||
+ built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal without\
+ USE=debug."
+ die "dev-libs/ptlib and net-libs/opal has not to be built with USE=debug"
+ fi
+
+ # dbus-service is always enable if dbus is enable, no reason to disable it
+ G2CONF="${G2CONF}
+ $(use_enable avahi)
+ $(use_enable dbus)
+ $(use_enable dbus dbus_service)
+ $(use_enable debug)
+ $(use_enable doc gdu)
+ $(use_enable eds)
+ $(use_enable gconf)
+ $(use_enable gnome)
+ $(use_enable ldap)
+ $(use_enable libnotify notify)
+ $(use_enable xv)"
+}
+
+src_unpack() {
+ gnome2_src_unpack
+
+ # remove call to gconftool-2 --shutdown
+ sed -i -e '/gconftool-2 --shutdown/d' Makefile.in \
+ || die "Patching Makefile.in failed"
+
+ # fix ekiga-helper dbus service .in file
+ sed -i -e 's/@PACKAGE_NAME@/ekiga/'\
+ src/components/org.ekiga.Helper.service.in \
+ || die "Patching src/components/org.ekiga.Helper.service.in failed"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! use gnome; then
+ ewarn "USE=-gnome is experimental, some weirdness with the UI and"
+ ewarn "config keys should appear."
+ fi
+}
diff --git a/net-voip/ekiga/ekiga-3.0.2.ebuild b/net-voip/ekiga/ekiga-3.0.2.ebuild
new file mode 100644
index 0000000..2f062bf
--- /dev/null
+++ b/net-voip/ekiga/ekiga-3.0.2.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils gnome2
+
+DESCRIPTION="H.323 and SIP VoIP softphone"
+HOMEPAGE="http://www.ekiga.org/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="avahi dbus debug doc eds gconf gnome ldap libnotify xv"
+
+RDEPEND=">=dev-libs/ptlib-2.4.2
+ >=net-libs/opal-3.4.2
+ >=x11-libs/gtk+-2.12.0:2
+ >=dev-libs/glib-2.8.0:2
+ dev-libs/libsigc++:2
+ dev-libs/libxml2:2
+ avahi? ( >=net-dns/avahi-0.6.0 )
+ dbus? ( >=dev-libs/dbus-glib-0.36 )
+ eds? ( >=gnome-extra/evolution-data-server-1.2 )
+ gconf? ( >=gnome-base/gconf-2.6.0:2 )
+ gnome? ( >=gnome-base/libgnome-2.14.0
+ >=gnome-base/libgnomeui-2.14.0 )
+ ldap? ( net-nds/openldap )
+ libnotify? ( x11-libs/libnotify )
+ xv? ( x11-libs/libXv )"
+
+DEPEND="${RDEPEND}
+ >=sys-devel/make-3.81
+ >=dev-util/pkgconfig-0.12.0
+ >=dev-util/intltool-0.35
+ doc? ( app-text/scrollkeeper
+ app-text/gnome-doc-utils )"
+
+DOCS="AUTHORS ChangeLog FAQ NEWS README"
+
+pkg_setup() {
+ # ekiga has to be built like opal and ptlib but as opal has to be built
+ # like ptlib, it should be possible to check only opal but as ekiga is
+ # linking to both, we are cheking both
+ if use debug && (! built_with_use dev-libs/ptlib debug ||
+ ! built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal with\
+ USE=debug enabled."
+ die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
+ fi
+
+ if ! use debug && (built_with_use dev-libs/ptlib debug ||
+ built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal without\
+ USE=debug."
+ die "dev-libs/ptlib and net-libs/opal has not to be built with USE=debug"
+ fi
+
+ # dbus-service is always enable if dbus is enable, no reason to disable it
+ G2CONF="${G2CONF}
+ $(use_enable avahi)
+ $(use_enable dbus)
+ $(use_enable dbus dbus_service)
+ $(use_enable debug)
+ $(use_enable doc gdu)
+ $(use_enable eds)
+ $(use_enable gconf)
+ $(use_enable gnome)
+ $(use_enable ldap)
+ $(use_enable libnotify notify)
+ $(use_enable xv)"
+}
+
+src_unpack() {
+ gnome2_src_unpack
+
+ # remove call to gconftool-2 --shutdown
+ sed -i -e '/gconftool-2 --shutdown/d' Makefile.in \
+ || die "Patching Makefile.in failed"
+
+ # fix ekiga-helper dbus service .in file
+ sed -i -e 's/@PACKAGE_NAME@/ekiga/'\
+ src/components/org.ekiga.Helper.service.in \
+ || die "Patching src/components/org.ekiga.Helper.service.in failed"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! use gnome; then
+ ewarn "USE=-gnome is experimental, some weirdness with the UI and"
+ ewarn "config keys should appear."
+ fi
+}
diff --git a/net-voip/ekiga/ekiga-9999.ebuild b/net-voip/ekiga/ekiga-9999.ebuild
new file mode 100644
index 0000000..42c5d33
--- /dev/null
+++ b/net-voip/ekiga/ekiga-9999.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils subversion autotools gnome2
+
+DESCRIPTION="H.323 and SIP VoIP softphone"
+HOMEPAGE="http://www.ekiga.org/"
+SRC_URI=""
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS=""
+IUSE="avahi dbus debug doc eds gconf gnome ldap libnotify xv"
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/ekiga/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh $(use_enable avahi) $(use_enable dbus) $(use_enable dbus dbus_service) $(use_enable debug) $(use_enable doc gdu) $(use_enable eds) $(use_enable gconf) $(use_enable gnome) $(use_enable ldap) $(use_enable libnotify notify) $(use_enable xv)"
+
+
+S="${WORKDIR}/${P/_/}"
+
+RDEPEND=">=dev-libs/ptlib-2.4.2
+ >=net-libs/opal-3.4.2
+ >=x11-libs/gtk+-2.12.0:2
+ >=dev-libs/glib-2.8.0:2
+ dev-libs/libsigc++:2
+ dev-libs/libxml2:2
+ gnome-base/gconf
+ gnome-base/gnome-common
+ app-text/gnome-doc-utils
+ avahi? ( >=net-dns/avahi-0.6.0 )
+ dbus? ( >=dev-libs/dbus-glib-0.36 )
+ eds? ( >=gnome-extra/evolution-data-server-1.2 )
+ gconf? ( >=gnome-base/gconf-2.6.0:2 )
+ gnome? ( >=gnome-base/libgnome-2.14.0
+ >=gnome-base/libgnomeui-2.14.0 )
+ ldap? ( net-nds/openldap )
+ libnotify? ( x11-libs/libnotify )
+ xv? ( x11-libs/libXv )"
+
+DEPEND="${RDEPEND}
+ >=sys-devel/make-3.81
+ >=dev-util/pkgconfig-0.12.0
+ >=dev-util/intltool-0.35
+ doc? ( app-text/scrollkeeper
+ app-text/gnome-doc-utils )"
+
+DOCS="AUTHORS ChangeLog FAQ NEWS README"
+
+pkg_setup() {
+ # ekiga has to be built like opal and ptlib but as opal has to be built
+ # like ptlib, it should be possible to check only opal but as ekiga is
+ # linking to both, we are cheking both
+ if use debug && (! built_with_use dev-libs/ptlib debug ||
+ ! built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal with\
+ USE=debug enabled."
+ die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
+ fi
+
+ if ! use debug && (built_with_use dev-libs/ptlib debug ||
+ built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal without\
+ USE=debug."
+ die "dev-libs/ptlib and net-libs/opal has not to be built with USE=debug"
+ fi
+
+ # dbus-service is always enable if dbus is enable, no reason to disable it
+ G2CONF="${G2CONF}
+ $(use_enable avahi)
+ $(use_enable dbus)
+ $(use_enable dbus dbus_service)
+ $(use_enable debug)
+ $(use_enable doc gdu)
+ $(use_enable eds)
+ $(use_enable gconf)
+ $(use_enable gnome)
+ $(use_enable ldap)
+ $(use_enable libnotify notify)
+ $(use_enable xv)
+ "
+}
+
+src_unpack() {
+
+ subversion_src_unpack
+ cd "${S}"
+# eautoreconf
+
+ # remove call to gconftool-2 --shutdown
+# sed -i -e '/gconftool-2 --shutdown/d' Makefile.in \
+# || die "Patching Makefile.in failed"
+
+ # fix ekiga-helper dbus service .in file
+# sed -i -e 's/@PACKAGE_NAME@/ekiga/'\
+# src/components/org.ekiga.Helper.service.in \
+# || die "Patching src/components/org.ekiga.Helper.service.in failed"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! use gnome; then
+ ewarn "USE=-gnome is experimental, some weirdness with the UI and"
+ ewarn "config keys should appear."
+ fi
+}